Bug 600268 - Tabbing through 'Unsaved Document' popup also highlights text fields.
Tabbing through 'Unsaved Document' popup also highlights text fields.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
13
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 06:16 EDT by Rasmus Ory Nielsen
Modified: 2011-06-27 13:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:30:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unsaved document popup with highlighted text field (48.58 KB, image/png)
2010-06-04 06:17 EDT, Rasmus Ory Nielsen
no flags Details

  None (edit)
Description Rasmus Ory Nielsen 2010-06-04 06:16:17 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; da-DK; rv:1.9.2.3) Gecko/20100403 Fedora/3.6.3-4.fc13 Firefox/3.6.3

Hi,

I have a request for a cosmetic change in gedit.
When quitting an unsaved document, a popup box asks me if I want to save the document, and 'Save As' is highlighted (which is good). But, if I want to close without saving, I can either use the mouse or use the keyboard to tab through the buttons. Here is the problem: When tabbing through the buttons the two text fields on the popup box also gets highlighted, as if they were input fields - see the screenshot. That makes little sense to me, I find it more intuitive to only be able to tab through the three buttons.

Regards,
Rasmus

Reproducible: Always
Comment 1 Rasmus Ory Nielsen 2010-06-04 06:17:36 EDT
Created attachment 421183 [details]
Unsaved document popup with highlighted text field
Comment 2 Bug Zapper 2011-06-02 08:05:20 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 13:30:35 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.